Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.reflection
Class DefaultNanoPicoContainerTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jmock.core.VerifyingTestCase
                  org.jmock.core.MockObjectSupportTestCase
                      org.jmock.MockObjectTestCase
                          org.picocontainer.tck.AbstractPicoContainerTestCase
                              org.nanocontainer.reflection.DefaultNanoPicoContainerTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class DefaultNanoPicoContainerTestCase

extends org.picocontainer.tck.AbstractPicoContainerTestCase

Version:
  $Revision: 2962 $
Author:
  Paul Hammant

Nested Class Summary

Nested classes/interfaces inherited from class org.picocontainer.tck.AbstractPicoContainerTestCase
`org.picocontainer.tck.AbstractPicoContainerTestCase.ComponentA, org.picocontainer.tck.AbstractPicoContainerTestCase.ComponentB, org.picocontainer.tck.AbstractPicoContainerTestCase.ComponentC, org.picocontainer.tck.AbstractPicoContainerTestCase.ComponentD, org.picocontainer.tck.AbstractPicoContainerTestCase.ComponentE, org.picocontainer.tck.AbstractPicoContainerTestCase.ComponentF, org.picocontainer.tck.AbstractPicoContainerTestCase.ContainerDependency, org.picocontainer.tck.AbstractPicoContainerTestCase.DerivedTouchable, org.picocontainer.tck.AbstractPicoContainerTestCase.JMSService, org.picocontainer.tck.AbstractPicoContainerTestCase.LifeCycleMonitoring, org.picocontainer.tck.AbstractPicoContainerTestCase.ListAdder, org.picocontainer.tck.AbstractPicoContainerTestCase.NeedsTouchable, org.picocontainer.tck.AbstractPicoContainerTestCase.NeedsWashable, org.picocontainer.tck.AbstractPicoContainerTestCase.NonGreedyClass, org.picocontainer.tck.AbstractPicoContainerTestCase.RecordingStrategyVisitor, org.picocontainer.tck.AbstractPicoContainerTestCase.TestLifecycleComponent, org.picocontainer.tck.AbstractPicoContainerTestCase.TestLifecycleManager`

Field Summary

Fields inherited from class org.jmock.core.MockObjectSupportTestCase
`ANYTHING, NOT_NULL, NULL`

Constructor Summary
`DefaultNanoPicoContainerTestCase()`

Method Summary
`protected org.picocontainer.MutablePicoContainer` | `createPicoContainer(org.picocontainer.PicoContainer parent)`
`void` | `testMakeRemoveChildContainer()`
`void` | `testNamedChildContainerIsAccessible()`
`void` | `testNamedChildContainerIsAccessibleForClassKeys()`
`void` | `testNamedChildContainerIsAccessibleForStringKeys()`

Methods inherited from class org.picocontainer.tck.AbstractPicoContainerTestCase
`createPicoContainerWithDependsOnTouchableOnly, createPicoContainerWithTouchableAndDependsOnTouchable, testAcceptImplementsBreadthFirstStrategy, testAggregatedVerificationException, testAmbiguousDependencies, testAmbiguousResolution, testBasicInstantiationAndContainment, testComponentAdapterRegistrationOrderIsMaintained, testComponentInstancesFromParentsAreNotDirectlyAccessible2, testContainerCascadesDefaultLifecycle, testContainerIsSerializable, testCyclicDependencyThrowsCyclicDependencyException, testCyclicDependencyThrowsCyclicDependencyExceptionWithParentContainer, testDuplicateRegistration, testExternallyInstantiatedObjectsCanBeRegistgeredAndLookedUp, testGettingComponentWithMissingDependencyFails, testLookupWithUnregisteredKeyReturnsNull, testLookupWithUnregisteredTypeReturnsNull, testMakingOfChildContainer, testMakingOfChildContainerPercolatesLifecycleManager, testNoArgConstructorToBeSelected, testPico52, testRegisterComponentWithObjectBadType, testRegisteredComponentsExistAndAreTheCorrectTypes, testRegistersSingleInstance, testRemovalNonRegisteredComponentAdapterWorksAndReturnsNull, testSameInstanceCanBeUsedAsDifferentTypeWhenCaching, testSerializedContainerCanRetrieveImplementation, testShouldCascadeStartStopAndDisposeToChild, testShouldReturnNonMutableParent, testShouldReturnNullForComponentAdapterOfUnregisteredType, testShouldReturnNullWhenUnregistereingUnmanagedComponent, testStartStopAndDisposeCascadedtoChildren, testStartStopAndDisposeNotCascadedtoRemovedChildren, testUnsatisfiableDependenciesExceptionGivesUnsatisfiedDependencyTypes, testUnsatisfiableDependenciesExceptionGivesVerboseEnoughErrorMessage`

Methods inherited from class org.jmock.MockObjectTestCase
`atLeastOnce, atMostOnce, defaultMockNameForType, doAll, doAll, doAll, doAll, exactly, mock, mock, never, never, newCoreMock, newDummy, newDummy, newDummy, once, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, returnIterator, returnIterator, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, throwException`

Methods inherited from class org.jmock.core.MockObjectSupportTestCase
`and, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, collectionContaining, collectionContaining, compatibleType, contains, endsWith, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, hasProperty, hasProperty, isA, isIn, isIn, mapContaining, mapContaining, mapWithKey, mapWithKey, mapWithValue, mapWithValue, not, or, same, startsWith, stringContains, toString`

Methods inherited from class org.jmock.core.VerifyingTestCase
`registerToVerify, runBare, unregisterToVerify, verify`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultNanoPicoContainerTestCase

    public DefaultNanoPicoContainerTestCase()

Method Detail

### createPicoContainer

    protected org.picocontainer.MutablePicoContainer createPicoContainer(org.picocontainer.PicoContainer parent)

  Specified by:
    `createPicoContainer` in class `org.picocontainer.tck.AbstractPicoContainerTestCase`

### testNamedChildContainerIsAccessible

    public void testNamedChildContainerIsAccessible()

### testNamedChildContainerIsAccessibleForStringKeys

    public void testNamedChildContainerIsAccessibleForStringKeys()

### testNamedChildContainerIsAccessibleForClassKeys

    public void testNamedChildContainerIsAccessibleForClassKeys()

### testMakeRemoveChildContainer

    public void testMakeRemoveChildContainer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.